在使用start.spring.io创建spring boot手脚架后,发现了这么一个错误,反复折腾了好久……记一次解决方案
Could not find artifact org.springframework.boot:spring-boot-starter-parent:pom:2.2.6.RELEASE in aliyunmaven

在这里记一次解决方案:

首先前往阿里云maven仓库网站:https://maven.aliyun.com/mvn

在search页面下,选择gav搜索(
group--artifact--version)分别填入缺失的包的信息(仓库选择central),比如这一次:

然后就会发现确实没有,此时有两条路走,

第一条路:去除version的信息,搜索:

然后就会发现:往上一个版本的阿里云的central仓库有,此时只需要手动往上调一个版本就可以解决问题

第二条路:如果实在要用这个版本,那就只能够切换回官方的maven仓库了(目前没有找到更好的方法,因为国内的仓库基本上只有阿里云了,其他好用的都在墙外)

Last modification:March 28th, 2020 at 10:59 pm